Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase Class Reference

ObjectState Doctrine database Gateway. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler, MaskGenerator $maskGenerator)
| Creates a new Doctrine database ObjectState Gateway. More...
| loadObjectStateData ($stateId)
| Loads data for an object state. More...
| loadObjectStateDataByIdentifier ($identifier, $groupId)
| Loads data for an object state by identifier. More...
| loadObjectStateListData ($groupId)
| Loads data for all object states belonging to group with $groupId ID. More...
| loadObjectStateGroupData ($groupId)
| Loads data for an object state group. More...
| loadObjectStateGroupDataByIdentifier ($identifier)
| Loads data for an object state group by identifier. More...
| loadObjectStateGroupListData ($offset, $limit)
| Loads data for all object state groups, filtered by $offset and $limit. More...
| insertObjectState (ObjectState $objectState, $groupId)
| Inserts a new object state into database. More...
| updateObjectState (ObjectState $objectState)
| Updates the stored object state with provided data. More...
| deleteObjectState ($stateId)
| Deletes object state identified by $stateId. More...
| updateObjectStateLinks ($oldStateId, $newStateId)
| Update object state links to $newStateId. More...
| deleteObjectStateLinks ($stateId)
| Deletes object state links identified by $stateId. More...
| insertObjectStateGroup (Group $objectStateGroup)
| Inserts a new object state group into database. More...
| updateObjectStateGroup (Group $objectStateGroup)
| Updates the stored object state group with provided data. More...
| deleteObjectStateGroup ($groupId)
| Deletes the object state group identified by $groupId. More...
| setContentState ($contentId, $groupId, $stateId)
| Sets the object state $stateId to content with $contentId ID. More...
| loadObjectStateDataForContent ($contentId, $stateGroupId)
| Loads object state data for $contentId content from $stateGroupId state group. More...
| getContentCount ($stateId)
| Returns the number of objects which are in this state. More...
| updateObjectStatePriority ($stateId, $priority)
| Updates the object state priority to provided value. More...

## Protected Member Functions
| createObjectStateFindQuery ()
| Creates a generalized query for fetching object state(s). More...
| createObjectStateGroupFindQuery ()
| Creates a generalized query for fetching object state group(s). More...
| insertObjectStateTranslations (ObjectState $objectState)
| Inserts object state group translations into database. More...
| deleteObjectStateTranslations ($stateId)
| Deletes all translations of the $stateId state. More...
| insertObjectStateGroupTranslations (Group $objectStateGroup)
| Inserts object state group translations into database. More...
| deleteObjectStateGroupTranslations ($groupId)
| Deletes all translations of the $groupId state group. More...

## Protected Attributes
| $dbHandler
| $maskGenerator

## Detailed Description

ObjectState Doctrine database Gateway.

Definition at line 19 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::__construct | ( | DatabaseHandler | $dbHandler,
|  | MaskGenerator | $maskGenerator
| ) |  |

Creates a new Doctrine database ObjectState Gateway.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |
  \eZ\Publish\Core\Persistence\Legacy\Content\Language\MaskGenerator | $maskGenerator |

Definition at line 43 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\$dbHandler, and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\$maskGenerator.

## Member Function Documentation

## ◆ createObjectStateFindQuery()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::createObjectStateFindQuery | ( |  | ) |
| protected

Creates a generalized query for fetching object state(s).

Returns
  \eZ\Publish\Core\Persistence\Database\SelectQuery

Definition at line 664 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\loadObjectStateData(), eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\loadObjectStateDataByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\loadObjectStateDataForContent(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\loadObjectStateListData().

## ◆ createObjectStateGroupFindQuery()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::createObjectStateGroupFindQuery | ( |  | ) |
| protected

Creates a generalized query for fetching object state group(s).

Returns
  \eZ\Publish\Core\Persistence\Database\SelectQuery

Definition at line 697 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\loadObjectStateGroupData(), eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\loadObjectStateGroupDataByIdentifier(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\loadObjectStateGroupListData().

## ◆ deleteObjectState()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::deleteObjectState | ( |  | $stateId | ) |

Deletes object state identified by $stateId.

Parameters

  int | $stateId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 325 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\deleteObjectStateTranslations().

## ◆ deleteObjectStateGroup()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::deleteObjectStateGroup | ( |  | $groupId | ) |

Deletes the object state group identified by $groupId.

Parameters

  mixed | $groupId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 475 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\deleteObjectStateGroupTranslations().

## ◆ deleteObjectStateGroupTranslations()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::deleteObjectStateGroupTranslations | ( |  | $groupId | ) |
| protected

Deletes all translations of the $groupId state group.

Parameters

  mixed | $groupId |

Definition at line 822 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\deleteObjectStateGroup(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\updateObjectStateGroup().

## ◆ deleteObjectStateLinks()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::deleteObjectStateLinks | ( |  | $stateId | ) |

Deletes object state links identified by $stateId.

Parameters

  int | $stateId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 371 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

## ◆ deleteObjectStateTranslations()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::deleteObjectStateTranslations | ( |  | $stateId | ) |
| protected

Deletes all translations of the $stateId state.

Parameters

  mixed | $stateId |

Definition at line 765 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\deleteObjectState(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\updateObjectState().

## ◆ getContentCount()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::getContentCount | ( |  | $stateId | ) |

Returns the number of objects which are in this state.

Parameters

  mixed | $stateId |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 613 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

## ◆ insertObjectState()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::insertObjectState | ( | ObjectState | $objectState,
|  |  | $groupId
| ) |  |

Inserts a new object state into database.

Parameters

  \eZ\Publish\SPI\Persistence\Content\ObjectState | $objectState |
  int | $groupId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 206 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\insertObjectStateTranslations().

## ◆ insertObjectStateGroup()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::insertObjectStateGroup | ( | Group | $objectStateGroup | ) |

Inserts a new object state group into database.

Parameters

  \eZ\Publish\SPI\Persistence\Content\ObjectState\Group | $objectStateGroup |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 391 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\insertObjectStateGroupTranslations().

## ◆ insertObjectStateGroupTranslations()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::insertObjectStateGroupTranslations | ( | Group | $objectStateGroup | ) |
| protected

Inserts object state group translations into database.

Parameters

  \eZ\Publish\SPI\Persistence\Content\ObjectState\Group | $objectStateGroup |

Definition at line 785 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\insertObjectStateGroup(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\updateObjectStateGroup().

## ◆ insertObjectStateTranslations()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::insertObjectStateTranslations | ( | ObjectState | $objectState | ) |
| protected

Inserts object state group translations into database.

Parameters

  \eZ\Publish\SPI\Persistence\Content\ObjectState | $objectState |

Definition at line 729 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\insertObjectState(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\updateObjectState().

## ◆ loadObjectStateData()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::loadObjectStateData | ( |  | $stateId | ) |

Loads data for an object state.

Parameters

  mixed | $stateId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 56 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\createObjectStateFindQuery().

## ◆ loadObjectStateDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::loadObjectStateDataByIdentifier | ( |  | $identifier,
|  |  | $groupId
| ) |  |

Loads data for an object state by identifier.

Parameters

  string | $identifier |
  mixed | $groupId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 80 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\createObjectStateFindQuery().

## ◆ loadObjectStateDataForContent()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::loadObjectStateDataForContent | ( |  | $contentId,
|  |  | $stateGroupId
| ) |  |

Loads object state data for $contentId content from $stateGroupId state group.

Parameters

  int | $contentId |
  int | $stateGroupId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 578 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\createObjectStateFindQuery().

## ◆ loadObjectStateGroupData()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::loadObjectStateGroupData | ( |  | $groupId | ) |

Loads data for an object state group.

Parameters

  mixed | $groupId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 137 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\createObjectStateGroupFindQuery().

## ◆ loadObjectStateGroupDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::loadObjectStateGroupDataByIdentifier | ( |  | $identifier | ) |

Loads data for an object state group by identifier.

Parameters

  string | $identifier |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 160 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\createObjectStateGroupFindQuery().

## ◆ loadObjectStateGroupListData()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::loadObjectStateGroupListData | ( |  | $offset,
|  |  | $limit
| ) |  |

Loads data for all object state groups, filtered by $offset and $limit.

Parameters

  int | $offset |
  int | $limit |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 184 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\createObjectStateGroupFindQuery().

## ◆ loadObjectStateListData()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::loadObjectStateListData | ( |  | $groupId | ) |

Loads data for all object states belonging to group with $groupId ID.

Parameters

  mixed | $groupId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 109 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\createObjectStateFindQuery().

## ◆ setContentState()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::setContentState | ( |  | $contentId,
|  |  | $groupId,
|  |  | $stateId
| ) |  |

Sets the object state $stateId to content with $contentId ID.

Parameters

  mixed | $contentId |
  mixed | $groupId |
  mixed | $stateId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 499 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

## ◆ updateObjectState()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::updateObjectState | ( | ObjectState | $objectState | ) |

Updates the stored object state with provided data.

Parameters

  \eZ\Publish\SPI\Persistence\Content\ObjectState | $objectState |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 282 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\deleteObjectStateTranslations(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\insertObjectStateTranslations().

## ◆ updateObjectStateGroup()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::updateObjectStateGroup | ( | Group | $objectStateGroup | ) |

Updates the stored object state group with provided data.

Parameters

  \eZ\Publish\SPI\Persistence\Content\ObjectState\Group | $objectStateGroup |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 432 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\deleteObjectStateGroupTranslations(), and eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\insertObjectStateGroupTranslations().

## ◆ updateObjectStateLinks()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::updateObjectStateLinks | ( |  | $oldStateId,
|  |  | $newStateId
| ) |  |

Update object state links to $newStateId.

Parameters

  int | $oldStateId |
  int | $newStateId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 348 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

## ◆ updateObjectStatePriority()

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::updateObjectStatePriority | ( |  | $stateId,
|  |  | $priority
| ) |  |

Updates the object state priority to provided value.

Parameters

  mixed | $stateId |
  int | $priority |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway.

Definition at line 641 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

## Member Data Documentation

## ◆ $dbHandler

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::$dbHandler
| protected

Definition at line 28 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\__construct().

## ◆ $maskGenerator

eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase::$maskGenerator
| protected

Definition at line 35 of file Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\DoctrineDatabase\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/ObjectState/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.